#ifndef SUDOKU_HPP
#define SUDOKU_HPP

#include <string>
#include <vector>

class Sudoku {
public:
    Sudoku(void);
    std::vector< std::vector<int> > board;
    void FillBoard(std::string filePath);
    void Solve(void);
    bool IsBoardSolved(void);
    void Print(void);
private:
    bool IsRowComplete(int row);
    bool IsColumnComplete(int column);
    std::vector<int> GetUnusedInRow(int row);
    std::vector<int> GetUnusedInColumn(int column);
};

#endif
